Opened 2 months ago

Last modified 2 months ago

#4886 new defect

Nagra 1884 Poland patch

Reported by: JOHNYD649 Owned by:
Priority: major Component: Card support
Severity: medium Keywords:
Cc: JOHNYD649 Sensitive: no

Description (last modified by JOHNYD649)

Revision

11572-11714

Issue Description

Support nagra 1884 (cayman) for card's from Poland.

When the issue occurs

Oscam doesnt support nagra 1884 cards from poland .

How the issue is reproducable

  • Oscam don't allow to read and use canal+ polska 1884 card. Please add patch to oscam for support for nagra 1884 cards.
  • Oscam after autoupdate remove private version of oscam and disallow use nagra 1884 card . Stock oscam remove unknown commands in oscam server after update from reader and after restore private version of oscam 1884 card is again unusable.

Attachments (3)

mega45.patch (73.2 KB ) - added by JOHNYD649 2 months ago.
mega45 (4).zip (22.5 KB ) - added by JOHNYD649 2 months ago.
reader-nagracak7.c (46.6 KB ) - added by JOHNYD649 2 months ago.

Download all attachments as: .zip

Change History (9)

by JOHNYD649, 2 months ago

Attachment: mega45.patch added

by JOHNYD649, 2 months ago

Attachment: mega45 (4).zip added

by JOHNYD649, 2 months ago

Attachment: reader-nagracak7.c added

comment:1 by JOHNYD649, 2 months ago

Description: modified (diff)

comment:2 by JOHNYD649, 2 months ago

Severity: lowmedium
Type: taskdefect

comment:3 by Bust3D, 2 months ago

Is this patch compatible with HD+ in CAK mode?
As I see it is not compatible.
Do a better patch and test it with other cards in CAK mode.
Maybe would be a good idea to open a thread in SB and test with others.

in reply to:  3 comment:4 by JOHNYD649, 2 months ago

Replying to Bust3D:

Is this patch compatible with HD+ in CAK mode?
As I see it is not compatible.
Do a better patch and test it with other cards in CAK mode.
Maybe would be a good idea to open a thread in SB and test with others.

I have private patch with sky de working and I don't need hd+

comment:5 by Bust3D, 2 months ago

I don't know what has to do slyde with CAK ...
you don't need HD+ is good for you but others need it ... so until your patch is not compatible with all CAK cards what are actually running on trunk version of OSCAM , your patch wont be checked in.

PS. in this way you can patch every time you want to compile your version what fit only your needs.

comment:6 by Vlado Fogo, 2 months ago

@Bust3D

You are right. this patch is a "big shit" of 2-3 other algos and is not compatible with anything other than 2 Polish providers. There, let the Poles in their patch send, for example, "krowki" from server to server, as they do with ignore and priority in dvb-api in their last patch, but it would be a mistake to add something like that to a stable oscam trunk..

Note: See TracTickets for help on using tickets.